#include "UserInterface.h"
#include <wx/uilocale.h>

#ifdef _WIN32
void setProcessDPIAwareIfAvailable()
{
    HMODULE hUser32 = LoadLibrary(wxT("User32.dll"));
    if (hUser32) {
        typedef BOOL(WINAPI * SetProcessDPIAwareFunc)();
        SetProcessDPIAwareFunc pSetProcessDPIAware = (SetProcessDPIAwareFunc)GetProcAddress(hUser32, "SetProcessDPIAware");
        if (pSetProcessDPIAware) {
            pSetProcessDPIAware();
        }
        FreeLibrary(hUser32);
    }
}
#endif

class RelayFileApp : public wxApp
{
public:
    bool OnInit() override
    {
#ifdef _WIN32
        setProcessDPIAwareIfAvailable();
#endif
        loadLocale();
        f_ = new UserInterface(_("RelayFile"));
        f_->Show();
        return true;
    }

private:
    void loadLocale()
    {
        auto* locale = new wxLocale(wxLANGUAGE_CHINESE_SIMPLIFIED);
        locale->AddCatalogLookupPathPrefix(wxT("."));
        locale->AddCatalog(wxT("internat"));
    }

private:
    UserInterface* f_;
};

IMPLEMENT_APP(RelayFileApp);
DECLARE_APP(RelayFileApp);